diff loadtools/install-helpers.sh @ 0:e7502631a0f9

initial import from freecalypso-sw rev 1033:5ab737ac3ad7
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 11 Jun 2016 00:13:35 +0000
parents
children b301b75de0e0
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/loadtools/install-helpers.sh	Sat Jun 11 00:13:35 2016 +0000
@@ -0,0 +1,25 @@
+#!/bin/sh
+# A functional installation of FreeCalypso loadtools consists of not only
+# the fc-* host binaries, but also the loadagent and compalstage target
+# binaries and some script and help files.  This shell script is
+# responsible for installing the latter.
+
+instdir=/usr/local/share/freecalypso
+set -ex
+mkdir -p $instdir
+
+# The target-binaries directory may or may not be present.  Loadagent and
+# compalstage are built in the target-utils tree with the ARM7 toolchain,
+# hence having prebuilt binaries would be an important convenience for
+# end user releases.  But if one is working with just a source tree, with
+# nothing prebuilt, there will be no target-binaries directory here;
+# one needs to have the ARM7 toolchain installed, then build target-utils,
+# then do a 'make install' there.
+
+if [ -d target-binaries ]
+then
+	install -c target-binaries/* $instdir
+fi
+
+# scripts and loadtool.help should always be present
+install -c scripts/* loadtool.help $instdir